Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.machinereassignment.persistence
Class MachineReassignmentExporter.MachineReassignmentOutputBuilder

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionExporter.OutputBuilder
              org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter.TxtOutputBuilder
                  org.optaplanner.examples.machinereassignment.persistence.MachineReassignmentExporter.MachineReassignmentOutputBuilder

Enclosing class:
  MachineReassignmentExporter

    public static class MachineReassignmentExporter.MachineReassignmentOutputBuilder

extends AbstractTxtSolutionExporter.TxtOutputBuilder

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter.TxtOutputBuilder
`bufferedWriter`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`MachineReassignmentExporter.MachineReassignmentOutputBuilder()`

Method Summary
`void` | `setSolution(Solution solution)`
`void` | `writeSolution()`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter.TxtOutputBuilder
`setBufferedWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MachineReassignmentExporter.MachineReassignmentOutputBuilder

    public MachineReassignmentExporter.MachineReassignmentOutputBuilder()

Method Detail

### setSolution

    public void setSolution(Solution solution)

  Specified by:
    `setSolution` in class `AbstractTxtSolutionExporter.TxtOutputBuilder`

### writeSolution

    public void writeSolution()
                       throws IOException

  Specified by:
    `writeSolution` in class `AbstractTxtSolutionExporter.TxtOutputBuilder`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.